香港独立IP空间
香港php空间
美国php空间
域名注册

使用过discuz这款开源程序建站的站长朋友们都知道,这款开源程序目前已经升级到了x3.2以上的版本了。之前使用独立ip空间安装的站长也许考虑到升级比较麻烦都使用的还是x2.5的版本。其实升级也不是很麻烦,一般程序升级之后网站后台都有提示,只要按照提示升级就可以了。只是升级的时候不论是是谁都无法保证百分百会升级成功,毕竟网站中不仅有大量的数据也都装过很多插件,如果有某个插件因为升级的时候有冲突就可能会升级失败,所以无忧主机小编建议站长朋友们升级的时候一定要先备份一份数据库哦。今天有位站长朋友联系小编说在网站后台安装模板提示版本不匹配,之前小编只遇到过说版本不是正版,这个问题已经给解决了,只需要修改一段代码就可以了。今天这个问题是怎么回事呢?小编拿到账号和密码登录这位朋友的网站后台查看明白了原因。先给站长朋友们截图看看吧。

discuz后台安装模板x2.5版本和x3.0以上版本不匹配怎么办 discuz后台安装模板x2.5版本和x3.0以上版本不匹配怎么办

那么从这里明显可以看到是因为两个版本不兼容导致的,那么该如何处理呢?小编经过分析后有两种处理方法,下面来大概的说下吧。
第一种:先登录网站后台,按照提示把以前的X2.5版本升级到最新的X3.2版本,然后再安装就可以了。毕竟这个模板开发的时候就是在X3以上的环境开发的,所以我们只能升级自己的程序。
第二种:这种方法比较简单,如果站在朋友们认为升级第一种比较麻烦,风险当然也比较大些,那么无忧主机小编建议使用这种升级方法哦。连接FTp到主机空间,找到template/对应的模板文件,使用高级编辑器打开,搜索X2.5全部修改为X3.2然后再登录后台安装就搞定了。以上是小编总结的两种方法,希望可以帮到有需要的站长朋友们哦。

无忧主机相关文章推荐阅读:
DISCUZ怎么可以让游客也可以看到论坛中贴主的个人资料呢
DISCUZ怎么才能把专题目录也实现伪静态的方法详解
DISCUZ论坛程序如何在后台设置有效控制搜索时间限制

本文地址:http://www.51php.com/discuz/22020.html

喜欢本文或觉得本文对您有帮助,请分享给您的朋友 ^_^

阅读本文的人还阅读:


搜索技术文档